Bug 211061 - BUG: warning at net/core/skbuff.c:388/__kfree_skb() (Tainted: P )
BUG: warning at net/core/skbuff.c:388/__kfree_skb() (Tainted: P )
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-16 22:41 EDT by Jaraeez
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 01:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A snippet of the /var/log/messages (16.32 KB, application/octet-stream)
2006-10-16 22:41 EDT, Jaraeez
no flags Details

  None (edit)
Description Jaraeez 2006-10-16 22:41:38 EDT
Description of problem:

I find that the system just freezes at no certain times in particular but would
say at least 1-2 times a week. I have been trying to figure out if it was during
anything in particular with regards to what I was doing at the time, but it is
intermittent. When it freezes then all I can do it hit the reset button to get
the system back up again. I noticed it while running kernel 2.6.17-1.2187_FC5
but still have these symptons (not crashed yet but log still shows same error)
once I upgraded to 2.6.18-1.2200.fc5.

The messages file is over 175 mb in size (15th - 17th Oct)


Version-Release number of selected component (if applicable):


How reproducible:

Cannot reproduce, as it just happens randomly.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

A snippet of the error is as follows:

BUG: warning at net/core/skbuff.c:388/__kfree_skb() (Tainted: P     )
Oct 17 03:30:07 emachine kernel:  [<c0403f10>] dump_trace+0x69/0x1af
Oct 17 03:30:07 emachine kernel:  [<c040406e>] show_trace_log_lvl+0x18/0x2c
Oct 17 03:30:07 emachine kernel:  [<c04045e9>] show_trace+0xf/0x11
Oct 17 03:30:07 emachine kernel:  [<c0404673>] dump_stack+0x15/0x17
Oct 17 03:30:07 emachine kernel:  [<c05a1a7e>] __kfree_skb+0xa9/0xfb
Oct 17 03:30:07 emachine kernel:  [<c05a3e78>] sk_stream_kill_queues+0x38/0x112
Oct 17 03:30:07 emachine kernel:  [<c05c727b>] inet_csk_destroy_sock+0xcf/0x121
Oct 17 03:30:07 emachine kernel:  [<c05ce5fb>] tcp_fin+0xb8/0x19c
Oct 17 03:30:07 emachine kernel:  [<c05cee12>] tcp_data_queue+0x23c/0x985
Oct 17 03:30:07 emachine kernel:  [<c05d0526>] tcp_rcv_state_process+0xb49/0xbbf
Oct 17 03:30:07 emachine kernel:  [<c05d5f78>] tcp_v4_do_rcv+0x258/0x2ae
Oct 17 03:30:07 emachine kernel:  [<c05d818e>] tcp_v4_rcv+0x893/0x8f9
Oct 17 03:30:07 emachine kernel:  [<c05c0263>] ip_local_deliver+0x16c/0x1f1
Oct 17 03:30:07 emachine kernel:  [<c05c00ca>] ip_rcv+0x3db/0x408
Oct 17 03:30:07 emachine kernel:  [<c05a5deb>] netif_receive_skb+0x2d9/0x34c
Oct 17 03:30:07 emachine kernel:  [<c05a756b>] process_backlog+0x6d/0xb8
Oct 17 03:30:07 emachine kernel:  [<c05a76fe>] net_rx_action+0x77/0x149
Oct 17 03:30:07 emachine kernel:  [<c0420298>] __do_softirq+0x35/0x75
Oct 17 03:30:07 emachine kernel:  [<c04053c9>] do_softirq+0x3e/0x99
Oct 17 03:30:07 emachine kernel:  =======================

with the following always present within the logs:

Oct 17 03:04:27 emachine automount[4781]: >> /usr/sbin/showmount: can't get
address for .directory
Oct 17 03:04:27 emachine automount[4781]: lookup(program): lookup for .directory
failed
Oct 17 03:04:27 emachine automount[4781]: failed to mount /net/.directory
Oct 17 03:04:27 emachine automount[4788]: >> /usr/sbin/showmount: can't get
address for .directory
Oct 17 03:04:27 emachine automount[4788]: lookup(program): lookup for .directory
failed
Oct 17 03:04:27 emachine automount[4788]: failed to mount /net/.directory
Oct 17 03:04:27 emachine automount[4794]: >> /usr/sbin/showmount: can't get
address for .directory
Oct 17 03:04:27 emachine automount[4794]: lookup(program): lookup for .directory
failed
Oct 17 03:04:27 emachine automount[4794]: failed to mount /net/.directory
Comment 1 Jaraeez 2006-10-16 22:41:40 EDT
Created attachment 138648 [details]
A snippet of the /var/log/messages
Comment 2 Dave Jones 2006-10-17 01:24:32 EDT
Can't diagnose problems with binary modules loaded.
Comment 3 Jaraeez 2006-10-17 23:39:14 EDT
(In reply to comment #2)
> Can't diagnose problems with binary modules loaded.
> 

Hi thanks for the reply. Could you explain what you mean so that I can take this
further.

Cheers


Comment 4 Dave Jones 2006-10-18 00:11:39 EDT
It means you loaded some modules (from a third party) that we don't have the
source for, which tainted your kernel. Only the provider of those modules can
debug this situation, as only they have all the source code necessary.
Comment 5 Jaraeez 2006-10-18 17:57:07 EDT
OK thanks for the info. Do you know which thired party modules they are? So I
can investigate further. Are you referring to the ndiswrapper or nvidia as I
think they are the only two third party mods.

Cheers
Comment 6 Dave Jones 2006-10-18 18:22:58 EDT
Both.
Comment 7 Jaraeez 2006-10-24 10:21:27 EDT
OK thank you...

Note You need to log in before you can comment on or make changes to this bug.